Package com.sas.services.information.search

# Enum Class SearchOperator

java.lang.Object
java.lang.Enum<SearchOperator>
com.sas.services.information.search.SearchOperator

All Implemented Interfaces:
  `Serializable`, `Comparable<SearchOperator>`, `java.lang.constant.Constable`

public enum SearchOperator extends Enum<SearchOperator>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTAINS`
  `EQUALS`
  `STARTSWITH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFilterOperator()`
  `String`
  `getOperatorName()`
  `static SearchOperator`
  `getSearchOperatorForValue(int lvalue)`
  `static SearchOperator`
  `getSearchOperatorForValue(String value)`
  `String`
  `toString()`
  `static SearchOperator`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SearchOperator[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTAINS

    public static final SearchOperator CONTAINS

  - ### EQUALS

    public static final SearchOperator EQUALS

  - ### STARTSWITH

    public static final SearchOperator STARTSWITH

- ## Method Details

  - ### values

    public static SearchOperator[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SearchOperator valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFilterOperator

    public int getFilterOperator()

  - ### getOperatorName

    public String getOperatorName()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<SearchOperator>`

  - ### getSearchOperatorForValue

    public static SearchOperator getSearchOperatorForValue(int lvalue)

  - ### getSearchOperatorForValue

    public static SearchOperator getSearchOperatorForValue(String value)